Subject: Re: [dtn-interest] Proxy server for files

From: Tom Sparks <[email-masked]>
Date: Thu, 26 Jan 2012 06:57:06 -0800 (PST)

------------------------------
On Thu, Jan 26, 2012 11:51 PM AEDT Greg Troxel wrote:

>
>Ian Glennon <[email-masked]> writes:
>
> On Jan 26, 2012 9:30 AM, "Tom Sparks" <[email-masked]> wrote:
>
> I am wondering if there is a proxy server for files?  I have a samba
> server with tv shows and movies witch I watch through a media center
> I have been asked indirectly "can we access the files?" by friends
> Dtn/seakernet is my only option for them to access the files But
> because i have 1TB of data and growing, i want my friends to
> subscribe to the tv shows they want like a podcast
>
> Over and above the clearly illegal activity you are describing
The ack of me reading/replying to this email is illegal under the copyright law
>
>Off-topic, but that's astoundingly definitive given that it seems nearly
>impossible for you to have access to all the relevant facts.
>
>Separating copyright issues from what is an interesting technical
>question:
>
> I'm not sure DTN would be the best method for achieving your aims.
>
>Why do you say that?  It seems like there's a vast amount of data, it's
>needed in multiple places, the need for data is quite tolerant to delay,
>and moving disks (or having laptops with people, or having a few G spare
>in phones that have wifi, etc.) around is quite feasible.  This seems to
>be entirely within DTN's design aim.
<snip>
I have a ADSL connection, my friend's have 3G mobile internet (1Gb plan), so this is the reasoning

>
>To me this once again points out that there don't seem to be any
>application-level programs that use DTN -- I have yet to see an
>announcement of a chat program or MTA that runs over BP, or a
>distributed filesystem.  Certainly a DTN podcast distribution mechanism
>would be useful for communities with sporadic local connectivity and
>poor long-haul internet connections.
>
Podcast distribution was poor description of what was think of
A mailing list/usenet system fits the idea better
Based on the alt.binary usenet, the video are compressed and split up into 20Mb rar files, par2 file are used for forward error correction 
Ps: I could see DTN communities developing a tv program like SeattleWireless TV